#include <stdio.h>
#include <gtk/gtk.h>

#include "mainwindow.h"
#include "mdiary.h"
#include "settings.h"

int main(int argc, char *argv[])
{
	struct mainWindow *mainWindow;
	struct mdiary_settings *settings;
	gchar *settings_path;

	gtk_init(&argc, &argv);

	mainWindow = mainWindow_new();

	settings_path = g_strdup_printf("%s/.mdiary.conf", g_get_home_dir());
	settings = mdiary_settings_new(mainWindow);
	mdiary_load_settings(settings_path, settings);

	gtk_widget_show(mainWindow->mainWindow);
	gtk_main();

	mdiary_save_settings(settings_path, settings);
	mdiary_settings_free(settings);
	g_free(settings_path);

	return 0;
}
